//---------------------------------------------------------------------------
#ifndef FloatUH
#define FloatUH
//---------------------------------------------------------------------------
#include <vcl\Classes.hpp>
#include <vcl\Controls.hpp>
#include <vcl\StdCtrls.hpp>
#include <vcl\Forms.hpp>
//---------------------------------------------------------------------------
class TForm1 : public TForm
{
__published:	// IDE-verwaltete Komponenten
        TGroupBox *GroupBox1;
        TButton *Button_3_6_5_6;
        TButton *Button_3_6_5_3;
        TButton *Button_3_6_5_1;
        TMemo *Memo1;
        TButton *Button_3_6_5_7;
        TButton *Button_3_6_5_9;
        TButton *Button_3_6_5_2;
        TButton *Button_3_6_5_5;
        TGroupBox *GroupBox2;
        TButton *Button_3_6_5_4;
        TGroupBox *GroupBox3;
        TButton *Button_3_6_5_8;
        TEdit *edTilgungsrate;
        TEdit *edZinssatz;
        TEdit *edDarlehensbetrag;
        TButton *Test;
        TButton *Button_3_6_5_10;
        TLabel *lblDarlehensbetrag;
        TLabel *lblZinssatz;
        TLabel *lblTilgungsrate;
	void __fastcall Button_3_6_5_1Click(TObject *Sender);
	void __fastcall Button_3_6_5_2Click(TObject *Sender);
	void __fastcall Button_3_6_5_3Click(TObject *Sender);
	void __fastcall Button_3_6_5_9Click(TObject *Sender);
	void __fastcall Button_3_6_5_5Click(TObject *Sender);
	
	void __fastcall Button_3_6_5_6Click(TObject *Sender);
//    void __fastcall FibonacciClick(TObject *Sender);
        void __fastcall Button_3_6_5_7Click(TObject *Sender);
        void __fastcall Button_3_6_5_4Click(TObject *Sender);
        void __fastcall Button_3_6_5_8Click(TObject *Sender);
        void __fastcall Button_3_6_5_10Click(TObject *Sender);
        void __fastcall TestClick(TObject *Sender);
//        void __fastcall Est_Click(TObject *Sender);
private:	// Benutzer-Deklarationen
public:		// Benutzer-Deklarationen
	__fastcall TForm1(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern TForm1 *Form1;
//---------------------------------------------------------------------------
#endif
